<?php

namespace AppBundle\Form;


use Symfony\Component\Form\AbstractType;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\DateType;

class StPlainDateType extends AbstractType
{
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'placeholder' => 'TT.MM.JJJJ',
            'widget' => 'single_text',
            'format' => 'dd.MM.yyyy'
        ]);
    }

    public function getParent()
    {
        return DateType::class;
    }
}